require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "mappls-direction-widget-react-native"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.homepage     = package["homepage"]
  s.license      = package["license"]
  s.authors      = package["author"]

  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => "https://github.com/mapmyindia.git", :tag => "#{s.version}" }

  
  s.source_files = "ios/**/*.{h,m,mm,swift}"
  s.swift_version = '5.2'
  

  s.dependency "React-Core"
  s.dependency "MapplsDirectionUI"
  #s.dependency "Polyline"
  #s.vendored_frameworks = "ios/Polyline.framework"
  # s.vendored_frameworks = "ios/MapmyIndiaDirectionsUI.framework"
end
